# Uses of Interface
org.bukkit.boss.KeyedBossBar

Packages that use KeyedBossBar
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of KeyedBossBar in org.bukkit

Fields in org.bukkit with type parameters of type KeyedBossBar
Modifier and Type
Field
Description
`static final Registry<KeyedBossBar>`
Registry.`BOSS_BARS`
Custom boss bars.
Methods in org.bukkit that return KeyedBossBar
Modifier and Type
Method
Description
`static @NotNull KeyedBossBar`
Bukkit.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull KeyedBossBar`
Server.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`static @Nullable KeyedBossBar`
Bukkit.`getBossBar(@NotNull NamespacedKey key)`
Gets the `KeyedBossBar` specified by this key.
`@Nullable KeyedBossBar`
Server.`getBossBar(@NotNull NamespacedKey key)`
Gets the `KeyedBossBar` specified by this key.
Methods in org.bukkit that return types with arguments of type KeyedBossBar
Modifier and Type
Method
Description
`static @NotNull Iterator<KeyedBossBar>`
Bukkit.`getBossBars()`
Gets an unmodifiable iterator through all persistent bossbars.
`@NotNull Iterator<KeyedBossBar>`
Server.`getBossBars()`
Gets an unmodifiable iterator through all persistent bossbars.